[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodesEnumerator.Current

Gets the current tree node instance for the enumerator.

## Declaration

Source position: comctrls.pp line 3193

`public property TTreeNodesEnumerator.Current : TTreeNode read GetCurrent;`

## Description

Use MoveNext to navigate to the first or subsequent TTreeNode instance for the enumerator. Raises an exception if Current is accessed before the MoveNext method is called to retrieve the first value for the enumerator.